
Redmine - Patch #4639

Korean translation update and PDF patch

2010-01-23 12:35 - Kihyun Yun

Status: Closed Start date: 2010-01-23

Priority: High Due date:  

Assignee: Azamat Hackimov % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 0.9.2   

Description

Translation update for r3336.

And Korean PDF was correctly made.

ASAP, please update these patches.

Thanks.

Associated revisions

Revision 3389 - 2010-02-07 13:30 - Jean-Philippe Lang

Korean support for PDF export (#4639).

Revision 5251 - 2011-03-30 05:27 - Toshi MARUYAMA

PDF: transplant r3389 (#61).

Korean support for PDF export (#4639).

History

#1 - 2010-01-25 17:42 - Azamat Hackimov

Kihyun Yun, your patch for PDF not work. I have this error when try export korean file:

NoMethodError (undefined method `index' for 0:Fixnum):

  lib/redmine/export/pdf.rb:295:in `issue_to_pdf'     

  lib/redmine/export/pdf.rb:284:in `each'             

  lib/redmine/export/pdf.rb:284:in `issue_to_pdf'     

  app/controllers/issues_controller.rb:121:in `show'  

  app/controllers/issues_controller.rb:117:in `show'  

#2 - 2010-01-26 02:45 - Kihyun Yun

Azamat Hackimov wrote:

Kihyun Yun, your patch for PDF not work. I have this error when try export korean file:

[...]

 Please try it again with translation patch. Translation patch include pdf export default character set is defined as CP949. In this pdf patch, UHC means

CP949.

Generated PDF only viewed as Acrobat PDF Reader.

In my trunk patch works well. If you have any further information including real data of redmine site which includes Korean characters, I can look that

further.

Thanks.

#3 - 2010-02-07 13:22 - Jean-Philippe Lang

- Status changed from New to Closed

PDF support tested and committed in r3389. A few fixes were also required in rfpdf/korean.rb.

#4 - 2010-02-07 13:28 - Jean-Philippe Lang

2025-05-01 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/3336
https://www.redmine.org/projects/redmine/repository/svn/revisions/3389


- Target version set to 0.9.2

Files

ko.yml.r3336.diff 3.73 KB 2010-01-23 Kihyun Yun

pdf.rb.diff 496 Bytes 2010-01-23 Kihyun Yun
